﻿using System.Web.Mvc;
using System.Web.Routing;

/////////////////////////////////////////////////
//      www.interestprograms.ru
//      Программы, игры и их исходные коды
/// ////////////////////////////////////////////

namespace ASPMVCRouting2
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");



            routes.MapRoute(
                name: "Default",
                url: "{action}/{element}/{item}",

                // В маршрутизации участвует только один контроллер и несколько его методов Action.
                // Два последних параметра опциональны и проверяются на наличие в Action 
                defaults: new { controller = "Main", action = "Index", element = UrlParameter.Optional,  item = UrlParameter.Optional }


                // Маршрутизация по умолчанию, присутствие имени контроллера отличного от 
                // контроллера по умолчанию обязательно.
                // Т.е. если контроллер не Home, то в урл должно быть название другого контроллера.
                //url: "{controller}/{action}/{id}",
                //defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}
