﻿using ASPMVCRouting1.Models;

/////////////////////////////////////////////////
//      www.interestprograms.ru
//      Программы, игры и их исходные коды
////////////////////////////////////////////////

namespace ASPMVCRouting1.Controllers
{
    public static class Common
    {
        // Общедоступные пути к шаблонам представлений
        public const string ItemView = "~/Views/Template/Item.cshtml";
        public const string ElementView = "~/Views/Template/Element.cshtml";

        // Получение объекта модели с данными запрошенного элемента
        public static GetData ModelElement(string urlcatalog, string urlelement)
        {
            GetData getData = new GetData();
            getData.PrepareElement(urlcatalog, urlelement);

            return getData;
        }

        // Получение объекта модели данных конкретного вида товара
        public static GetData ModelItem(string urlcatalog, string urlelement, string id)
        {
            if (id != null)
            {
                GetData getData = new GetData();
                getData.PrepareItem(urlcatalog, urlelement, id);

                return getData;
            }

            return null;
        }
    }
}