﻿using ASPMVCRouting1.Models;
using System.Web.Mvc;

/////////////////////////////////////////////////
//      www.interestprograms.ru
//      Программы, игры и их исходные коды
////////////////////////////////////////////////

namespace ASPMVCRouting1.Controllers
{
    // Каждый контроллер это отдельный пункт меню,
    // каждый метод Action отдельный пункт субменю.

    public class IstochnikiPitaniyaController : Controller
    {
        // GET: IstochnikiPitaniya
        public ActionResult Index()
        {
            GetData getData = new GetData();
            getData.PrepareCatalog("IstochnikiPitaniya");

            return View(getData);
        }

        public ActionResult Transformatornye(string id)
        {
            GetData getData = null;

            if (id != null)
            {
                getData = new GetData();
                getData.PrepareItem("IstochnikiPitaniya", "Transformatornye", id);

                return View("~/Views/Template/Item.cshtml", getData);
            }

            getData = Common.ModelElement("IstochnikiPitaniya", "Transformatornye");

            return View("~/Views/Template/Element.cshtml", getData);
        }

        
        public ActionResult Impulsnye(string id)
        {
            GetData getData = null;

            if (id != null)
            {
                getData = new GetData();
                getData.PrepareItem("IstochnikiPitaniya", "Impulsnye", id);

                return View("~/Views/Template/Item.cshtml", getData);
            }

            getData = Common.ModelElement("IstochnikiPitaniya", "Impulsnye");

            return View("~/Views/Template/Element.cshtml", getData);
        }

        // Нельзя создать название метода с символами дефиса в имени,
        // поэтому с помощью данного атрибута назначаем новое имя методу
        // с требуемыми символами.
        [ActionName("Drayvery-Dla-Svetodiodov")]
        public ActionResult DrayveryDlaSvetodiodov(string id)
        {
            GetData getData = null;


            // Во всех контроллерах рекомендуется использовать унифицированные 
            // методы обработки запросов пользователей сайта.
            // Для упрощения отладки.
            getData = Common.ModelItem("IstochnikiPitaniya", "Drayvery-Dla-Svetodiodov", id);
            if (getData != null)
            {
                return View(Common.ItemView, getData);
            }


            getData = Common.ModelElement("IstochnikiPitaniya", "Drayvery-Dla-Svetodiodov");

            return View(Common.ElementView, getData);
        }


    }
}