﻿using ASPMVCRouting2.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;



/////////////////////////////////////////////////
//      www.interestprograms.ru
//      Программы, игры и их исходные коды
////////////////////////////////////////////////
namespace ASPMVCRouting2.Controllers
{
    // Общую функциональность для контроллеров и их методов Action лучше вынести в отдельный файл.

    public static class Common
    {
        // Пути для загрузки шаблонов страниц
        public const string UrlCatalog = "~/Views/Template/catalog.cshtml";
        public const string UrlElement = "~/Views/Template/element.cshtml";
        public const string UrlItem = "~/Views/Template/item.cshtml";

        // Получение объекта модели для элемента
        public static GetData Element(string action, string element)
        {
            GetData getData = new GetData();
            getData.PrepareElement(action, element);

            return getData;

        }

        // Получение объекта модели для конкретного пункта.
        public static GetData Item(string action, string element, string item)
        {
            GetData getData = new GetData();
            getData.PrepareItem(action, element, item);

            return getData;

        }


    }

  
}